Bug 640467 - xterm: Compose key not working when input method (ibus) enabled
xterm: Compose key not working when input method (ibus) enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 17:38 EDT by Jan Andres
Modified: 2012-08-16 15:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Andres 2010-10-05 17:38:44 EDT
I have the compose key enabled via "Keyboard Preferences -> Layouts -> Layout Options -> Compose key position -> Menu". Also as I sometimes have to input Japanese text, I have ibus enabled via the IM Chooser application.

While both ibus and the compose key work fine e.g. in GNOME applications, in xterm the compose key does not. When I open up an xterm and type e.g. "Compose / o", I'm just getting the characters "/o" instead of an "ΓΈ".

However when I run 'XMODIFIERS="" xterm' (thus starting an xterm with input method disabled), the compose key works fine in that xterm.

I certainly remember that this has worked in the past on the same system, so the bug must have been introduced by some update package; unfortunately I'm unable to state exactly which update caused it to show up.

I'm running FC12 on x86_64, fully updated, here are the versions of xterm and ibus packages installed:

ibus-anthy-1.2.1-1.fc12.x86_64
ibus-table-1.2.0.20100111-1.fc12.noarch
ibus-gtk-1.3.6-2.fc12.x86_64
ibus-1.3.6-2.fc12.x86_64
ibus-libs-1.3.6-2.fc12.x86_64
ibus-xkbc-1.2.0.20100115-3.fc12.noarch
xterm-256-1.fc12.x86_64
Comment 1 Miroslav Lichvar 2010-10-06 06:09:23 EDT
Does it work in other non-gnome terminals like rxvt-unicode or lxterminal?
Comment 2 Jan Andres 2010-10-06 14:01:33 EDT
rxvt-unicode shows exactly the same symptoms as xterm does.

lxterminal works, which comes as no surprise, as it is GTK based and GTK apps generally work. (I should have written GTK instead of GNOME in my original report.)
Comment 3 Bug Zapper 2010-11-03 05:38:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan Andres 2010-11-14 09:04:30 EST
Exactly the same problem exists on FC14 with the following package versions.

ibus-table-1.3.0.20100621-3.fc14.noarch
ibus-1.3.7-11.fc14.x86_64
ibus-xkbc-1.3.3.20100804-2.fc14.noarch
ibus-gtk2-1.3.7-11.fc14.x86_64
ibus-anthy-1.2.4-2.fc14.x86_64
ibus-libs-1.3.7-11.fc14.x86_64
rxvt-unicode-9.07-2.fc14.x86_64
xterm-261-2.fc14.x86_64
Comment 5 Christian Krause 2011-04-26 18:19:51 EDT
I've just stumbled over the same issue in F13 (ibus enabled for Asian input method, compose key does not work anymore).

Miroslav, if you need any more information from my setup, please let me know.
Comment 6 Fedora End Of Life 2012-08-16 15:33:14 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.